Supported Versions: Current (12) / 11 / 10 / 9.6 / 9.5
Development Versions: 13 / devel
Unsupported versions: 9.4
This documentation is for an unsupported version of PostgreSQL.
You may want to view the same page for the current version, or one of the supported versions listed above instead.

30.4. TAP Tests

The client program tests under src/bin use the Perl TAP tools and are run by prove. You can pass command-line options to prove by setting the make variable PROVE_FLAGS, for example:

make -C src/bin check PROVE_FLAGS='--reverse'

The default is --verbose. See the manual page of prove for more information.

The tests written in Perl require the Perl module IPC::Run. This module is available from CPAN or an operating system package.